QwtLogTransform(3)

NAME
QwtLogTransform - Logarithmic transformation.

SYNOPSIS

#include <qwt_transform.h>

Inherits QwtTransform.

  Public Member Functions
QwtLogTransform ()
Constructor.
virtual ~QwtLogTransform ()
Destructor.
virtual double transform (double value) const override
virtual double invTransform (double value) const override
virtual double bounded (double value) const override
virtual QwtTransform * copy () const override

  Static Public Attributes
static const double LogMin = 1.0e-150
Smallest allowed value for logarithmic scales: 1.0e-150.
static const double LogMax = 1.0e150
Largest allowed value for logarithmic scales: 1.0e150.

Detailed Description

Logarithmic transformation. QwtLogTransform modifies the values using log() and exp().

Note
    In the calculations of QwtScaleMap the base of the log function has no effect on the mapping. So QwtLogTransform can be used for log2(), log10() or any other logarithmic scale.

Definition at line 100 of file qwt_transform.h.

Member Function Documentation

  double QwtLogTransform::bounded (double value) const [override], [virtual]

Parameters
    value Value to be bounded

Returns
    qBound( LogMin, value, LogMax )

Reimplemented from QwtTransform.

Definition at line 106 of file qwt_transform.cpp.

  QwtTransform * QwtLogTransform::copy () const [override], [virtual]

Returns
    Clone of the transformation

Implements QwtTransform.

Definition at line 112 of file qwt_transform.cpp.

  double QwtLogTransform::invTransform (double value) const [override], [virtual]

Parameters
    value Value to be transformed

Returns
    exp( value )

Implements QwtTransform.

Definition at line 97 of file qwt_transform.cpp.

  double QwtLogTransform::transform (double value) const [override], [virtual]

Parameters
    value Value to be transformed

Returns
    log( value )

Implements QwtTransform.

Definition at line 88 of file qwt_transform.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.